//
// file.h
//
//
// HISTORY:
//
//    Date        Author   Modifications
//    --------    ------   -------------
//    15/06/97    MT       Initial Version
//
//
//
//
//
//
//
// DESCRIPTION:
//
// Public header file for file functions
//
//
// **********************************************************


#ifndef __FILE_H
#define __FILE_H


#include <fstream>
#include <string>

#include "StreamT.h"


class FileT : public StreamT
{
	public :

				FileT( const string & fileName );
				~FileT();
		const string &	FileNameOf() const;


	private :

		string		_fileName;

};


#endif

